# PSF-LoginServer - master - net.psforever.objects.geometry.AxisAlignment
PSF - LoginServer - master - net.psforever.objects.geometry.AxisAlignment
Keywords: PSF LoginServer master net.psforever.objects.geometry.AxisAlignment

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d2
  Definition Classes
    geometry
-  package d3
  Definition Classes
    geometry
- AxisAlignment
- AxisAlignment2D
- AxisAlignment3D
- Geometry
- GeometryForm
- Line
- Point
- PrimitiveGeometry
- Segment
- Slope

o

net.psforever.objects.geometry

# AxisAlignment 

###
Companion class AxisAlignment

#### object AxisAlignment extends Enum[AxisAlignment]

Source
  AxisAlignment.scala

Linear Supertypes
Enum[AxisAlignment], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AxisAlignment
2. Enum
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def extraNamesToValuesMap: Map[String, AxisAlignment]
   Definition Classes
     Enum
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  macro def findValues: IndexedSeq[AxisAlignment]
    Attributes
      protected
    Definition Classes
      Enum
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def indexOf(member: AxisAlignment): Int
    Definition Classes
      Enum
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final lazy val lowerCaseNamesToValuesMap: Map[String, AxisAlignment]
    Definition Classes
      Enum
16.  lazy val namesToValuesMap: Map[String, AxisAlignment]
    Definition Classes
      Enum
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final lazy val upperCaseNameValuesToMap: Map[String, AxisAlignment]
    Definition Classes
      Enum
23.  val values: IndexedSeq[AxisAlignment]
    Definition Classes
      AxisAlignment → Enum
24.  final lazy val valuesToIndex: Map[AxisAlignment, Int]
    Definition Classes
      Enum
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
28.  def withName(name: String): AxisAlignment
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
29.  def withNameEither(name: String): Either[NoSuchMember[AxisAlignment], AxisAlignment]
    Definition Classes
      Enum
30.  def withNameInsensitive(name: String): AxisAlignment
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
31.  def withNameInsensitiveEither(name: String): Either[NoSuchMember[AxisAlignment], AxisAlignment]
    Definition Classes
      Enum
32.  def withNameInsensitiveOption(name: String): Option[AxisAlignment]
    Definition Classes
      Enum
33.  def withNameLowercaseOnly(name: String): AxisAlignment
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
34.  def withNameLowercaseOnlyEither(name: String): Either[NoSuchMember[AxisAlignment], AxisAlignment]
    Definition Classes
      Enum
35.  def withNameLowercaseOnlyOption(name: String): Option[AxisAlignment]
    Definition Classes
      Enum
36.  def withNameOption(name: String): Option[AxisAlignment]
    Definition Classes
      Enum
37.  def withNameUppercaseOnly(name: String): AxisAlignment
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
38.  def withNameUppercaseOnlyEither(name: String): Either[NoSuchMember[AxisAlignment], AxisAlignment]
    Definition Classes
      Enum
39.  def withNameUppercaseOnlyOption(name: String): Option[AxisAlignment]
    Definition Classes
      Enum
40.  case object Free extends AxisAlignment3D with Product with Serializable

    For geometric entities that exist in a three-dimensional context.

    For geometric entities that exist in a three-dimensional context. More ceremonial, than anything else.

41.  case object XY extends AxisAlignment2D with Product with Serializable

    Geometric entities in the XY-axis.

    Geometric entities in the XY-axis. Coordinates are x- and y-; up is the z-axis.

42.  case object XZ extends AxisAlignment2D with Product with Serializable

    Geometric entities in the XZ-axis.

    Geometric entities in the XZ-axis. Coordinates are x- and z-; up is the y-axis.

43.  case object YZ extends AxisAlignment2D with Product with Serializable

    Geometric entities in the YZ-axis.

    Geometric entities in the YZ-axis. Coordinates are y- and z-; up is the x-axis.

### Inherited from Enum[AxisAlignment]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped